<div
  #workspace
  class="workspace-grid-layout full-height overflow-hidden"
  [sqtmCoreWorkspace]="name"
  [sqtmCoreWorkspaceTheme]="workspaceTheme"
>
  <ng-content select="[projection=navBar]"></ng-content>

  <div class="flex-column overflow-hidden full-width">
    <sqtm-core-license-information-banner
      class="flex-fixed-size"
      [isAdmin]="isLoggedAsAdmin"
      [licenseInformation]="licenseInformation"
      [placement]="placement"
    >
    </sqtm-core-license-information-banner>

    <sqtm-core-configurable-banner />

    <div class="flex-row overflow-hidden flex-grow-shrink">
      <div
        #grid
        class="full-width full-height overflow-hidden neutral-background-color"
      >
        <ng-content select="[projection=grid]"></ng-content>
      </div>

      <div
        #resizeBar
        sqtmCoreResizable
        [class.resize-hidden]="disableNavigationToContextualContent"
        class="full-height overflow-hidden resize-handler"
        (resize)="handleResize($event)"
      ></div>
      <div
        #contextualContent
        class="flex-fixed-size full-height neutral-background-color overflow-hidden"
      >
        <router-outlet></router-outlet>
      </div>
    </div>
  </div>
</div>
